Bug 460736 - create_book command-line help is wrong
create_book command-line help is wrong
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-30 12:33 EDT by Jared Smith
Modified: 2010-11-23 23:16 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.37
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 00:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2008-08-30 12:33:18 EDT
Description of problem:

If your run "create_book --help", it shows to add the --article option to create an article instead of a book.  When you go and try to use the --article option, you get informed that it's not a valid option.  Only by searching the source did I find that you instead have to use "--type=Article".  Also, I would think that the type shouldn't be case sensitive, as I'm sure people will mistakenly use "--type=article" (notice the lower case 'a').


Version-Release number of selected component (if applicable):
publican-0.34-0.fc9.noarch

How reproducible:
Every time

Steps to Reproduce:
1. create_book --help
2. create_book --article --name 'Bugzilla'
3.
  
Actual results:

[jsmith@localhost tmp]$ create_book --article --name 'Bugzilla'
Unknown option: article

Expected results:

I would expect the help text to match the actual code.

Additional info:

I haven't checked yet, but does the website documentation need to be updated as well?
Comment 1 Jeff Fearn 2008-09-09 00:21:51 EDT
Corrected help text and documentation.

Note You need to log in before you can comment on or make changes to this bug.